html,
body {
    height: 100%;
    visibility: visible;
}
.wrapper {
    min-height: 100%;
    /* margin: 0 auto -50px;  the bottom margin is the negative value of the footer's height */
}
footer,
.push {
    /* height: 50px;  '.push' must be the same height as 'footer' */
}

/*

Sticky Footer by Ryan Fait
http://ryanfait.com/

*/

* {
    font-family: arial, sans-serif;
}

pre {
    display: block;
    font-family: monospace;
    line-height: 20px;
    background-color: #f9f9f9;
    padding: 10px;
    border-radius: 10px;
    margin-bottom: 10px;
    font-size: 12px;
}

a {
    color: inherit;
    text-decoration: none;
}

a:hover {
    color: #1caadc;
}

.clear_float {
    clear: both;
}

.hide {
    display: none;
}

.button {
    display: block;
    padding: 5px;
    font-weight: bold;
    border: 0;
    padding: 8px 10px;
    border-radius: 5px;
    -webkit-transition: all 0.2s ease;
    -moz-transition: all 0.2s ease;
    -ms-transition: all 0.2s ease;
    -o-transition: all 0.2s ease;
    transition: all 0.2s ease;
    cursor: pointer;
    -webkit-appearance: none;
}

.text-red {
    color: #ff3048;
}

.red-btn {
    background-color: #ff3048;
    color: white;
}

.blue-btn {
    background-color: #004a83;
    color: white;
}
.red-btn:focus,
.red-btn:hover {
    background-color: #c80101;
    color: white;
    box-shadow: 0 1px 3px rgba(0, 0, 0, 0.5);
}

.red-btn:active {
    background-color: darkred;
}
.blue-btn:focus,
.blue-btn:hover {
    background-color: #0067e1;
    color: white;
    box-shadow: 0 1px 3px rgba(0, 0, 0, 0.5);
}
.blue-btn:active {
    background-color: #033669;
}

.page_max_width {
    max-width: 1200px;
    margin: 0 auto;
    position: relative;
}
